package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Order;
import com.lightinit.hsdataportal.entity.UserAccount;
import com.lightinit.hsdataportal.model.ResultState;

import java.math.BigDecimal;

public interface IBalancePAyService {
    UserAccount selectBalance(Long id);

    ResultState updateBalance(Long id, BigDecimal balance,BigDecimal userBalance,Long orderId);

    Order  selectBalance(String orderNumber);
}
